Updates
Set auto-update on one site
PUT
Permission: wp.updates
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidapplication/json- body
site_ids?array<>|nulltype*TypeValue in
"plugin""theme""core"target?|Default
"all"enabled*EnabledSuccessful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X PUT "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/updates/auto-update" \ -H "Content-Type: application/json" \ -d '{ "type": "plugin", "enabled": true }'{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "queued": true }}